Page MenuHomePhabricator

Check enterer func.
Closed, ResolvedPublic

Description

After run with eauto_preloader received segfault.

(gdb) bt
#0 0x0000000000404c0d in eina_list_data_get (list=0x1) at /usr/local/include/eina-1/eina/eina_inline_list.x:46
#1 0x000000000040550a in _enterer (data=0x78a7d0) at /home/opiskun/efl_profiling_tool/src/bin/ui.c:347
#2 0x00007ffff718b5af in _ecore_call_task_cb (data=<optimized out>, func=<optimized out>) at lib/ecore/ecore_private.h:291
#3 _ecore_factorized_idle_process (data=0x653150, event=<optimized out>) at lib/ecore/ecore_idler.c:35
#4 0x00007ffff440740b in _event_callback_call (legacy_compare=0 '\000', event_info=<optimized out>, desc=0x7ffff73bafa0 <_EFL_LOOP_EVENT_IDLE_ENTER>, pd=0x64cc90, obj_id=<optimized out>) at lib/eo/eo_base_class.c:1473
#5 _efl_object_event_callback_call (obj_id=<optimized out>, pd=0x64cc90, desc=0x7ffff73bafa0 <_EFL_LOOP_EVENT_IDLE_ENTER>, event_info=<optimized out>) at lib/eo/eo_base_class.c:1557
#6 0x00007ffff44029c3 in efl_event_callback_call (obj=0x800000000da1144b, desc=0x7ffff73bafa0 <_EFL_LOOP_EVENT_IDLE_ENTER>, event_info=event_info@entry=0x0) at lib/eo/eo_base_class.c:1560
#7 0x00007ffff718b47e in _ecore_idle_enterer_call (loop=<optimized out>) at lib/ecore/ecore_idle_enterer.c:48
#8 0x00007ffff718e864 in _ecore_main_loop_iterate_internal (once_only=once_only@entry=1) at lib/ecore/ecore_main.c:2284
#9 0x00007ffff718ecf2 in ecore_main_loop_iterate () at lib/ecore/ecore_main.c:1244
#10 0x00007ffff7825085 in elm_shutdown () at lib/elementary/elm_main.c:444
#11 0x00007ffff7bd23ff in elm_shutdown () from /usr/local/lib/libeautopreload.so
#12 0x0000000000404b82 in main (argc=1, argv=0x7fffffffdd88) at /home/opiskun/efl_profiling_tool/src/bin/main.c:117

when work without preloader segfault appears too.

#0 0x0000000000404b9d in eina_list_data_get (list=0x1) at /usr/local/include/ei
na-1/eina/eina_inline_list.x:46
#1 0x00000000004054bd in _enterer (data=0x9ca230) at /home/opiskun/efl_profilin
g_tool/src/bin/ui.c:347
#2 0x00007ffff79135cf in _ecore_call_task_cb (data=<optimized out>, func=<optim
ized out>) at lib/ecore/ecore_private.h:291
#3 _ecore_factorized_idle_process (data=0x6420a0, event=<optimized out>) at lib
/ecore/ecore_idler.c:35
#4 0x00007ffff4f2240b in _event_callback_call (legacy_compare=0 '\000', event_i
nfo=<optimized out>, desc=0x7ffff7b42fa0 <_EFL_LOOP_EVENT_IDLE_ENTER>, pd=0x63bb
b0, obj_id=<optimized out>) at lib/eo/eo_base_class.c:1473
#5 _efl_object_event_callback_call (obj_id=<optimized out>, pd=0x63bbb0, desc=0
x7ffff7b42fa0 <_EFL_LOOP_EVENT_IDLE_ENTER>, event_info=<optimized out>) at lib/e
o/eo_base_class.c:1557
#6 0x00007ffff4f1d9c3 in efl_event_callback_call (obj=0x800000000959edf7, desc=
0x7ffff7b42fa0 <_EFL_LOOP_EVENT_IDLE_ENTER>, event_info=event_info@entry=0x0) at
lib/eo/eo_base_class.c:1560
#7 0x00007ffff791349e in _ecore_idle_enterer_call (loop=<optimized out>) at lib
/ecore/ecore_idle_enterer.c:48
#8 0x00007ffff7916884 in _ecore_main_loop_iterate_internal (once_only=once_only
@entry=1) at lib/ecore/ecore_main.c:2284
#9 0x00007ffff7916d12 in ecore_main_loop_iterate () at lib/ecore/ecore_main.c:1
244
#10 0x00007ffff69a2045 in elm_shutdown () at lib/elementary/elm_main.c:444
#11 0x0000000000404b12 in main (argc=1, argv=0x7fffffffdde8) at /home/opiskun/ef
l_profiling_tool/src/bin/main.c:117

NikaWhite moved this task from Backlog to Defects on the Profiling Viewer board.Sep 13 2017, 3:40 AM
NikaWhite moved this task from Defects to 1.1 on the Profiling Viewer board.
NikaWhite edited projects, added Profiling Viewer (1.1); removed Profiling Viewer.
NikaWhite moved this task from Review to Done on the Profiling Viewer (1.1) board.Oct 31 2017, 4:55 AM
NikaWhite closed this task as Resolved.Dec 26 2017, 8:52 AM